Tue Apr 14 15:17:00 2015 UTC ()
Pull up following revision(s) (requested by snj in ticket #1279):
	distrib/sets/makesrctars: revision 1.40
GPL code isn't just in src/gnu these days (i.e., the last 6 years).
move stuff from src/external/gpl[23] out of the src tarball and into
gnusrc.


(msaitoh)
diff -r1.38 -r1.38.22.1 src/distrib/sets/makesrctars

cvs diff -r1.38 -r1.38.22.1 src/distrib/sets/makesrctars (expand / switch to unified diff)

--- src/distrib/sets/makesrctars 2009/11/30 16:13:23 1.38
+++ src/distrib/sets/makesrctars 2015/04/14 15:16:59 1.38.22.1
@@ -1,16 +1,16 @@ @@ -1,16 +1,16 @@
1#! /bin/sh 1#! /bin/sh
2# 2#
3# $NetBSD: makesrctars,v 1.38 2009/11/30 16:13:23 uebayasi Exp $ 3# $NetBSD: makesrctars,v 1.38.22.1 2015/04/14 15:16:59 msaitoh Exp $
4# 4#
5# makesrctars srcdir setdir 5# makesrctars srcdir setdir
6# Create source tarballs in setdir from the source under srcdir. 6# Create source tarballs in setdir from the source under srcdir.
7# 7#
8 8
9prog="${0##*/}" 9prog="${0##*/}"
10rundir="$(dirname "$0")" # ${0%/*} isn't good enough when there's no "/" 10rundir="$(dirname "$0")" # ${0%/*} isn't good enough when there's no "/"
11. "${rundir}/sets.subr" 11. "${rundir}/sets.subr"
12 12
13# set defaults 13# set defaults
14xsrcdir= 14xsrcdir=
15quiet=false 15quiet=false
16 16
@@ -105,29 +105,29 @@ makeset() @@ -105,29 +105,29 @@ makeset()
105 105
106 106
107# create (base)src sets 107# create (base)src sets
108# 108#
109 109
110if ! cd "${srcdir}"; then 110if ! cd "${srcdir}"; then
111 echo >&2 "${prog}: can't chdir to ${srcdir}" 111 echo >&2 "${prog}: can't chdir to ${srcdir}"
112 exit 1 112 exit 1
113fi 113fi
114 114
115srcprefix=usr/src 115srcprefix=usr/src
116export setdir MTREE PAX CKSUM GZIP PASSWD srcprefix 116export setdir MTREE PAX CKSUM GZIP PASSWD srcprefix
117 117
118makeset src . -v '^\.\/gnu|^\.\/share|^\.\/sys|^\.\/usr\.bin\/config|^\.\/common' 118makeset src . -v '^\.\/common|^\.\/external\/gpl2|^\.\/external\/gpl3|^\.\/gnu|^\.\/share|^\.\/sys|^\.\/usr\.bin\/config'
119 119
120makeset gnusrc gnu 120makeset gnusrc . -e '^\..type=dir|^\.\/gnu|^\.\/external.type=dir|^\.\/external\/gpl2|^\.\/external\/gpl3'
121 121
122makeset syssrc . -e '^\..type=dir|^\.\/sys|^\.\/usr\.bin.type=dir|^\.\/usr\.bin\/config|^\.\/common' 122makeset syssrc . -e '^\..type=dir|^\.\/sys|^\.\/usr\.bin.type=dir|^\.\/usr\.bin\/config|^\.\/common'
123 123
124makeset sharesrc share 124makeset sharesrc share
125 125
126 126
127# create xsrc sets 127# create xsrc sets
128# 128#
129if [ -n "${xsrcdir}" ]; then 129if [ -n "${xsrcdir}" ]; then
130 if ! cd "${xsrcdir}"; then 130 if ! cd "${xsrcdir}"; then
131 echo >&2 "${prog}: can't chdir to ${xsrcdir}" 131 echo >&2 "${prog}: can't chdir to ${xsrcdir}"
132 exit 1 132 exit 1
133 fi 133 fi